Freeciv-3.1: sprite Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
sprite Struct Reference

`#include <sprite.h>`

## Data Fields

cairo_surface_t * | surface
QPixmap * | pm
struct SDL_Surface * | psurface

## Detailed Description

Definition at line 21 of file sprite.h.

## Field Documentation

## ◆ pm

QPixmap* sprite::pm

Definition at line 25 of file sprite.h.

Referenced by diplo_dlg::add_widget(), fc_client::create_cursors(), plr_item::data(), diplo_wdg::diplo_wdg(), impr_item::enterEvent(), goto_dialog::fill_tab(), handle_diplomacy_init_meeting(), impr_item::impr_item(), unittype_item::init_img(), impr_item::leaveEvent(), help_dialog::make_tree(), messagewdg::msg(), city_production_delegate::paint(), fc_double_edge::paintEvent(), qtg_canvas_put_sprite(), qtg_create_sprite(), qtg_crop_sprite(), qtg_free_sprite(), qtg_get_sprite_dimensions(), qtg_load_gfxfile(), qtg_load_gfxnumber(), qtg_ui_main(), races_dialog::races_dialog(), fc_sidewidget::resize_pixmap(), races_dialog::set_index(), progress_bar::set_pixmap(), progress_bar::set_pixmap(), help_widget::set_topic_building(), help_widget::set_topic_tech(), city_dialog::setup_ui(), hud_unit_loader::show_me(), side_right_click_science(), unittype_item::unittype_item(), gov_menu::update(), city_dialog::update_citizens(), fc_sidewidget::update_final_pixmap(), city_dialog::update_improvements(), city_dialog::update_nation_table(), science_report::update_report(), eco_report::update_report(), endgame_report::update_report(), and diplo_wdg::update_wdg().

## ◆ psurface

struct SDL_Surface* sprite::psurface

Definition at line 21 of file sprite.h.

Referenced by create_frame(), create_line(), crop_sprite(), and ctor_sprite().

## ◆ surface

cairo_surface_t * sprite::surface

Definition at line 23 of file sprite.h.

Referenced by canvas_put_sprite(), create_diplomacy_dialog(), create_sprite(), crop_sprite(), free_sprite(), get_sprite_dimensions(), intro_expose(), intro_expose(), load_gfxfile(), load_gfxnumber(), pixmap_put_overlay_tile(), pixmap_put_overlay_tile(), pixmap_put_overlay_tile_draw(), set_help_tile_from_sprite(), set_indicator_icons(), setup_widgets(), sprite_get_bounding_box(), sprite_get_pixbuf(), sprite_scale(), and update_info_label().